Loading...
Searching...
No Matches
Parameter structs
nanoflann C++ library for KD-trees

## Classes

struct | nanoflann::KDTreeSingleIndexAdaptorParams
struct | nanoflann::SearchParameters

## Enumerations

enum class | KDTreeSingleIndexAdaptorFlags { None = 0 , SkipInitialBuildIndex = 1 }

## Functions

std::underlying_type< KDTreeSingleIndexAdaptorFlags >::type | nanoflann::operator& (KDTreeSingleIndexAdaptorFlags lhs, KDTreeSingleIndexAdaptorFlags rhs)
bool | nanoflann::has_flag (KDTreeSingleIndexAdaptorFlags f, KDTreeSingleIndexAdaptorFlags flag)

## Detailed Description

## Function Documentation

## has_flag()

bool nanoflann::has_flag | ( | KDTreeSingleIndexAdaptorFlags | f,
|  | KDTreeSingleIndexAdaptorFlags | flag )

inline

Returns true if f has the given flag bit set. Prefer this over the raw operator& in boolean contexts.